Download media
GET
/media/{id}/download
const url = 'https://api.colourbox.com/media/1/download?on_behalf_of=Arne&project_id=753';const options = {method: 'GET', headers: {Authorization: 'CBX-SIMPLE-TOKEN Token=<token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.colourbox.com/media/1/download?on_behalf_of=Arne&project_id=753' \ --header 'Authorization: CBX-SIMPLE-TOKEN Token=<token>'Download media
Colourbox downloads can be accessed via this endpoint if you have access.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Query Parameters
Section titled “Query Parameters”download_info
string
A blob of JSON which describes the download
Example
{ "on_behalf_of": "Arne", "project_id": 753}filename
string
Set the filename of the file being downloaded. If not set the filename will be the original filename or foldername
user
string
Set the user ID the download should be attributed to. This is a requirement if downloading Colourbox downloads and API key authentication is used.
Responses
Section titled “Responses”The media.
Added Metadata
When you download either a jpeg, tiff or png file from the Skyfish API, the API adds EXIF data.
The table below lists where the different fields from the Skyfish API is placed in the EXIF data.
| title | XMP:Title |
|---|---|
| copyright | EXIF:Copyright, IPTC:CopyrightNotice |
| description | IPTC:Caption-Abstract |
| keywords | IPTC:Keywords, XMP:Subject |